Subject: Re: Java 2 and IPv6?

From: Janne Lundberg <[email-masked]>
Date: Thu, 1 Feb 2001 11:51:33 +0200 (EET)

On Wed, 31 Jan 2001, Pekka Nikander wrote:

> Kevin Wang wrote:
> > I am going to move from Network layer to Transport layer. Any one can
> > tell if I can use Sun Java 2 for IPv6 programming? I mean does Java 2
> > support IPv6?
> > Any pointer to the resources will be greatly appreciated.
> 
> As far as I know, Sun is considering IPv6 support for JDK 1.4.
> Unfortunately, I don't know anything about its schedule.
> 
> On the other hand, Janne Lundberg of HUT created experimental
> IPv6 support for Linux JDK 1.3 (or was it JDK1.2.2) last summer.
> I don't know if he has made it publicly available, but maybe
> he could comment the state of the work himself.

The IPv6 support was done for JDK1.2.2, and the original source file was
called jdk1_2_2-L-src-linux-09_Mar.zip. The patch was written for RedHat
6.2, and can be downloaded from http://www.tml.hut.fi/~jlu/jdkpatch.tar.gz.

I no longer use 1.2.2 so I don't know whether or not it works on anything 
else than RH6.2 (or even if it compiles...) 

   - Janne

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------